package cn.iocoder.yudao.module.system.service.biz;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.ElderlyVitalSignsRespVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.VitalSignsPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.VitalSignsSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.ElderlyVitalSignsDO;

import java.util.List;

/**
 * 生命体征 Service 接口
 *
 * @author 源码
 */
public interface ElderlyVitalSignsService {


    void createVitalSigns(VitalSignsSaveReqVO createReqVO);

    ElderlyVitalSignsDO getVitalSigns(Long id);

    void deleteVitalSigns(Long[] ids);

    List<ElderlyVitalSignsRespVO> exportVitalSignsExcel(VitalSignsPageReqVO pageReqVO);

    PageResult<ElderlyVitalSignsDO> getVitalSignsPage(VitalSignsPageReqVO pageReqVO);
}